Entwurf BSpline

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft BSpline and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Vorherige: Draft Polygon.svg Polygon
Nächste: KubischeBezKurve Draft CubicBezCurve.svg Arrow-right.svg

Draft BSpline.svg Entwurf BSpline

Menüeintrag
Entwurf → BSpline
Arbeitsbereich
Entwurf, Architektur
Standardtastenkürzel
B S
Eingeführt in Version
0.7
Siehe auch
Entwurf Polygonzug, Entwurf Bézkurve

Beschreibung

Der Draft BSpline.svg Entwurf BSpline Befehl erstellt eine B-Spline Kurve aus mehreren Punkten.

Der Entwurf BSpline Befehl legt die exakten Punkte fest, durch die die Kurve verlaufen soll. Die Entwurf BezKurve und Entwurf KubischeBezKurve Befehle hingegen verwenden Kontrollpunkte, um die Position und Krümmung des Splines zu definieren.

Draft bspline example.jpg

Spline festgelegt durch mehrere Punkte

Anwendung

Siehe auch: Entwurf Ablage, Entwurf Fang und Entwurf beschränken.

  1. Es gibt mehrere Wege, den Befehl aufzurufen:
  2. Drücke die Draft BSpline.svg Entwurf BSpline Schaltfläche.
    • Wähle die Entwerfen → Draft BSpline.svg B-Spline Option aus dem Menü.
    • Verwende das Tastaturkürzel: B dann S.
  3. Das B-spline Aufgabenpaneel wird geöffnet. Siehe Optionen für weitere Informationen.
  4. Nimm den ersten Punkt in der in der 3D Ansicht oder gib Koordinaten ein und drücke die Draft AddPoint.svg Punkt eingeben Schaltfläche.
  5. Nimm weitere Punkte in der 3D Ansicht oder gib Koordinaten ein und drücke die Draft AddPoint.svg Punkt eingeben Schaltfläche.
  6. Drücke Esc oder die Schließen Schaltfläche zum Beenden des Befehls.

Optionen

Die im Aufgabenpaneel verfügbaren Einzelzeichen Tastaturkürzel können geändert werden. Siehe Entwurf Einstellungen. Die hier genannten Tastenkürzel sind die Standardtastenkürzel.

  • Um Koordinaten manuell einzugeben, gib die X, Y und Z Komponente ein und drücke jeweils die Enter. Oder du kannst die Draft AddPoint.svg Punkt eingeben drücken, wenn du die gewünschten Werte hast. Es ist ratsam, den Mauszeiger aus der 3D Ansicht zu bewegen, bevor Koordinaten eingegeben werden.
  • Drücke R oder klicke auf das Kontrollkästchen Relativ, um den relativen Modus zu aktivieren. Wenn der relative Modus eingeschaltet ist, sind die Koordinaten relativ zum letzten Punkt, falls vorhanden, ansonsten relativ zum Ursprung des Koordinatensystems.
  • Drücke G oder klicke auf das Kontrollkästchen Global, um den globalen Modus umzuschalten. Wenn der globale Modus eingeschaltet ist, beziehen sich die Koordinaten auf das globale Koordinatensystem, ansonsten auf das Koordinatensystem der Arbeitsebene. eingeführt in Version 0.20
  • Drücke L oder klicke auf das Kontrollkästchen Gefüllt, um den ausgefüllten Modus umzuschalten. Wenn der gefüllte Modus eingeschaltet ist, hat der erzeugte Spline DatenMake Face auf true gesetzt und hat eine gefüllte Fläche, vorausgesetzt sie ist geschlossen und schneidet sich nicht selbst. Beachte, dass ein sich selbst schneidender Spline mit einer Fläche nicht richtig angezeigt wird, für einen solchen Spline muss DatenMake Face auf false gesetzt werden.
  • Drücke T oder klicke auf das Kontrollkästchen Weiter, um den Fortsetzungsmodus zu aktivieren. Wenn der Fortsetzungsmodus eingeschaltet ist, wird der Befehl nach der Verwendung von Draft FinishLine.svg Beenden oder Draft CloseLine.svg Schließen, oder nach dem Erstellen eines geschlossenen Splines durch Fangen am ersten Punkt des Splines, so dass du weiter Splines erstellen kannst.
  • Drücke den Draft UndoLine.svg Rückgängig, um den letzten Punkt rückgängig zu machen. Das Tastaturkürzel Strg+Z funktioniert derzeit nicht.
  • Drücke A oder die Draft FinishLine.svg Fertigstellen, um den Befehl zu beenden und den Spline offen zu lassen.
  • Drücke O oder den Draft CloseLine.svg Schließen, um den Befehl zu beenden und den Spline zu schließen. Ein geschlossener Spline kann auch durch Fangen am ersten Punkt des Splines erstellt werden.
  • Drücke W oder den Draft Wipe.svg Wischen Taste, um die bereits platzierten Kurvensegmente zu löschen, aber vom letzten Punkt aus weiterzuarbeiten.
  • Drücke U oder den Draft SelectPlane.svg Setze Arbeitsebene, um die aktuelle Arbeitsebene in der durch den letzten und den vorherigen Punkt definierten Ausrichtung anzupassen.
  • Drücke S, um Entwurf Fangen ein- oder auszuschalten.
  • Drücke Esc oder die Taste Schliessen, um den Befehl zu beenden.

Hinweise

Einstellungen

Siehe auch: Einstellungseditor und Entwurf Einstellungen.

  • Um die Anzahl der Dezimalstellen zu ändern, die bei der Eingabe von Koordinaten verwendet werden: Bearbeiten → Einstellungen... → Allgemein → Einheiten → Einheiteneinstellungen → Anzahl der Dezimalstellen.
  • Um den Anfangswert des Füllmodus zu ändern: Bearbeiten → Einstellungen... → Entwurf → Allgemeine Einstellungen → Entwurf Werkzeuge Optionen → Objekte mit Flächen füllen, wann immer möglich. Ändern des Füllmodus in einem Aufgabenpaneel, wird diese Voreinstellung für die aktuelle FreeCAD Sitzung überschreiben.

Eigenschaften

Siehe auch: Eigenschafteneditor.

Ein Entwurf BSpline Objekt wird von einem Part Part2DObject abgeleitet und erbt alle seine Eigenschaften. Außerdem hat es die folgenden zusätzlichen Eigenschaften:

Daten

Draft

  • DatenArea (Area): (nur Lesezugriff) gibt den Bereich der Fläche des Splines an. Der Wert ist 0.0, wenn DatenMake Face auf false steht oder die Fläche nicht erstellt werden kann.
  • DatenClosed (Bool): gibt an, ob der Spline geschlossen ist oder nicht. Wenn der Spline anfänglich offen ist, ist dieser Wert false, wenn er auf true gesetzt wird, wird ein Kurvensegment gezeichnet, um den Spline zu schließen. Wenn der Spline anfänglich geschlossen ist, ist dieser Wert true, wenn man ihn auf false setzt, wird das letzte Kurvensegment entfernt und der Spline wird offen.
  • DatenMake Face (Bool): gibt an, ob der Spline eine Fläche bildet oder nicht. Wenn es true ist, wird eine Fläche erstellt, ansonsten wird nur der Umfang als Teil des Objekts betrachtet. Diese Eigenschaft funktioniert nur, wenn DatenClosed true ist und wenn der Spline sich nicht selbst schneidet.
  • DatenParameterization (Float): beeinflusst die Form des Splines.
  • DatenPoints (VectorList): gibt die Punkte des Splines in seinem lokalen Koordinatensystem an.

Ansicht

Draft

  • AnsichtPfeilgröße (Länge): legt die Größe des Symbols fest, das am Ende des Splines angezeigt wird.
  • AnsichtPfeiltyp (Nummerierung): gibt die Art des Symbols an, das am Ende des Splines angezeigt wird, das kann Punkt, Kreis, Pfeil, Häkchen oder Häkchen-2 sein.
  • AnsichtPfeilende (Bool): gibt an, ob ein Symbol am Ende des Splines angezeigt werden soll, so dass er als Anmerkungslinie verwendet werden kann.
  • AnsichtMuster (Nummerierung): legt das Entwurf Muster fest, mit dem die Fläche des geschlossenen Splines gefüllt werden soll. Diese Eigenschaft funktioniert nur, wenn DatenMake Face true ist und wenn AnsichtDisplay Mode Flat Lines ist.
  • AnsichtMuster Größe (Float): gibt die Größe des Entwurf Muster an.

Skripten

Siehe auch: Autogenerierte API Dokumentation und FreeCAD Grundlagen Skripten.

Um einen Entwurf BSpline zu erstellen, verwende die Methode make_bspline (eingeführt in Version 0.19) des Entwurf Moduls. Diese Methode ersetzt die veraltete makeBSpline Methode.

bspline = make_bspline(pointslist, closed=False, placement=None, face=None, support=None)
bspline = make_bspline(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Erstellt ein bspline Objekt aus der angegebenen Liste von Punkten Punkteliste.
    • Jeder Punkt in der Liste ist durch seinen FreeCAD.Vector definiert, mit Einheiten in Millimetern.
    • Alternativ kann die Eingabe auch ein Part.Wire sein, aus dem Punkte extrahiert werden.
  • Wenn closed True ist, oder wenn der erste und letzte Punkt identisch sind, ist der Spline geschlossen.
  • Wenn placement None ist, wird der Spline am Ursprung erstellt.
  • Wenn face True ist, und der Spline geschlossen ist, bildet der Spline eine Fläche, d. h. er erscheint gefüllt.

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(2000, 0, 0)

spline1 = Draft.make_bspline([p1, p2, p3], closed=False)
spline2 = Draft.make_bspline([p1, 2*p3, 1.3*p2], closed=False)
spline3 = Draft.make_bspline([1.3*p3, p1, -1.7*p2], closed=False)

doc.recompute()


Arrow-left.svg Vorherige: Draft Polygon.svg Polygon
Nächste: KubischeBezKurve Draft CubicBezCurve.svg Arrow-right.svg